Subject: Re: [Mip6] FW: MIP6 agenda (Final)

From: Thierry Ernst <[email-masked]>
Date: Wed, 1 Dec 2004 16:10:31 +0900

Hi James,

On Tue, 30 Nov 2004 08:29:29 -0800
"James Kempf" <[email-masked]> wrote:
> I don't see a need to shift such work to the IRTF as this is clearly not
> academic, but highly technical. Bringing features allowing the use of
> multiple interfaces in MIPv6 (well, both to MIP6 and NEMO, indeed) is
> something very concrete. If the intend is to consider the host
> multihoming issues with no specific protocol in mind, then, yes, I would
> agree that this belongs to the IRTF.
> 
> jak>> This expresses a common misconception about IRTF. IRTF is not meant to
> be academic, it is meant to be a place where ideas are refined before they
> are well enough understood for concensus to be achieved on the basic
> architecture and design of the protocol, when the problem is not well
> understood. It is not meant to be a place to do research without any
> connection to IETF standardization work.

OK with this. But I still favor a BOF at next IETF so that we have
plenty of time to discuss this topic. After that, I don't have a problem
with moving things to IRTF, IETF or both, according to the conclusion of
the BOF.

> jak>> Regarding this particular problem, I can think of a few cases where
> there might be some specific enhancements to mip6 that might not require
> IRTF work (for example, allowing the registration of multiple home
> addresses) because they are well enough understood but what I am concerned
> about is that the people will immediately push for more. An example here is
> nemo. While the initial problem of using Mobile IP for mobile networks was
> well understood, people were pushing from the very beginning to do route
> optimization, which has even proved a hard problem for individual hosts.
> IMHO, the route optimization work for networks should have been moved to
> IRTF immediately when the WG was chartered, and the WG should have
> concentrated on solving the near term problem. Unfortuantely, at that time,
> there was no mobopts RG, which would have been the right place for the work,
> so it was put into the charter for later. That had the effect of essentially
> delaying any work to understand the problem better, whereas, if it had been
> put into the IRTF, the issues (particularly regarding security) could have
> been studied in parallel with the standardization of Mobile IP for mobile
> networks.

Well, this is not true. NEMO-chair hat now: we don't work on RO in the
NEMO WG. We, I think, have designed the charter in a way so that we can
concentrate on the important things 1st: a basic protocol, and solving
its specific issues (MIB, Prefix Delegation, etc). The only work item is
producing a problem statement on NEMO RO, and this is not the priority
of the group.

>From the beginning, we have rejected or ignored all the drafts proposing
RO solutions because it doesn't fall into the NEMO charter.  The flow of
solutions draft has decreased has people finaly understood we only want
to listen about the problem, not the solutions. 

Note that anyone could have brought the RO issue to the IRTF; I didn't
personally at that time because I stopped working on this topic and
because I didn't have the time, but I've told many folks that I
recommend to discuss this at the IRTF for now. But, recently, given the
popularity of the NEMO RO aspects, I've tried to initiate some
discussion to the IRTF and I even talked about RO in routing research
group. See  http://psg.com/~avri/irtf/IETF60/minutes-rrg-ietf60.html

This may not have been the right WG, but that was the only one meeting
at the time ;-)

Ahh, that's another point: IRTF WG seldom meet. May be this is
(hopefully) going to change in the future.

> jak>> So, in the end, it actually helps get the whole problem solved if the
> easy, well-understood parts are done in IETF and the harder ones are done in
> IRTF.

OK, I'm encline to agree with you. So, why is there so many IETF WG
where not well-understood topics are discussed ? May be we should
discuss this on another ML (e.g. ietf ML)

> If the purpose of the IETF is to produce protocols that have a better
> chance to be deployed, the support of multiple interfaces in MIP6 is
> surely one means that will help a wider deployment of the (so long ...)
> work produced by this WG.

Here we are going to the point, thanks ! That's the intention, indeed.
But the MIP6 WG has never really welcome this topic, although many folks
have proposed solutions, and I can recall as far as the prehistory of
the Mobile IP WG.

> jak>> The purpose of IETF is to produce protocols that *get deployed*, IMHO.
> Work should be chartered only if the preconditions for that are available.

OK, I'm eager to see MIP6 deployed, and to see it deployed in the usages
I'm considering, we **need** the ability to manage multiple interfaces.
And I don't speak about the SF scenarios listed in
draft-ernst-generic-goals-and-benefits.

> BTW, I don't buy your (could be offending ;-) statement about
> "researchers".
> 
> jak>> Point noted. It was not meant to be offensive, just a summary of my
> experience with Seamoby. After all, I do a certain amount of research
> myself.

Yeh, that's why I pointed this out ;-)

Thierry.

_______________________________________________
Mip6 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mip6

---

From: Alexandru Petrescu <[email-masked]>
Date: Wed, 01 Dec 2004 21:44:33 +0100

Thierry Ernst wrote:
> OK, I'm eager to see MIP6 deployed

Thierry, many people are eager to see this.  However, it's not at the
IETF that this can happen, IETF does not deploy, nor does any other SDO.

Moreover, when a wish-to-be-deployed protocol actually gets deployed, it
comes as a big surprise to that protocol supporters themselves, provided
there was a need for it (when there isn't - it never happens).  Then,
some no longer see it as an interesting research topic, some others go
support the deployments.  It works the other way around too: as long as
some protocol is seen as a "hot" research topic it does not get
deployed, the "hotter" it is the later shows it up in the real world.

Alex

---

From: Thierry Ernst <[email-masked]>
Date: Thu, 2 Dec 2004 12:19:58 +0900

What's the point Alex ? To deploy MIP6, we need this multiple interface
support and this is a task bound to the IETF. I don't speak about
deployment, but about protocols that are missing for a wild deployment.

Thierry.

On Wed, 01 Dec 2004 21:44:33 +0100

---

From: Alexandru Petrescu <[email-masked]>
Date: Thu, 02 Dec 2004 09:59:42 +0100

Thierry Ernst wrote:
> What's the point Alex ? To deploy MIP6, we need this multiple 
> interface support

Thierry, do you agree that a MIP6 host works ok today with multiple
interfaces ok and with no protocol modifications?

Alex

---

From: Thierry Ernst <[email-masked]>
Date: Thu, 16 Dec 2004 11:43:53 +0900

No, for instance in cases where you want to use 2 ifaces at the same time.

Thierry

On Thu, 02 Dec 2004 09:59:42 +0100